Subject: Re: bug#59617: 29.0.50; Add indent styles to all tree-sitter modes

From: Theodor Thornhill <[email-masked]>
Date: Mon, 28 Nov 2022 13:38:30 +0100

Eli Zaretskii <[email-masked]> writes:

>> Cc: Yuan Fu <[email-masked]>
>> Date: Mon, 28 Nov 2022 07:59:10 +0100
>> From:  Theodor Thornhill via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Theodor Thornhill <[email-masked]> writes:
>> 
>> > Fixed a typo - see this patch:
>> >
>> 
>> Rebased the patch on top of origin/master:
>> 
>> What do you think, Yuan?
>
> FWIW, I consider user options that require functions as values not a good
> UI.  Many users, especially newbies, will not be able to use such options,
> because they cannot come up with functions that do what they want.
>
> It is okay to have a function value as one of N alternatives, where N > 5,
> say, so that such users could still choose from "simpler" values, where the
> "function" was pre-arranged by us for them.  But having just the default and
> a function is definitely not good enough IMO.
>
> Cannot we come up with a couple of popular styles for each language, and
> have those styles ready to be selected by simple atom values in the
> defcustom?
>

I guess we could, but most other languages provided here have a pretty
standard coding style, IIRC.  Not saying it's not any variations.  This
is meant mostly as an escape hatch if needed, so that a user _can_
provide their own indentation style should they need it.

>
> P.S. Btw, what about other indentation-related facilities, like "C-c C-q" in
> CC Mode?

I'm planning on making those, yes